Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.stat.descriptive
Interface UnivariateStatistic

All Known Subinterfaces:
  StorelessUnivariateStatistic

All Known Implementing Classes:
  AbstractStorelessUnivariateStatistic, AbstractUnivariateStatistic

public interface UnivariateStatistic

Base evaluation interface implemented by all statistics.

Includes "stateless" `evaluate` methods that take `double[]` arrays as input and return the value of the statistic applied to the input values.

Version:
  $Revision: 155427 $ $Date: 2005-02-26 06:11:52 -0700 (Sat, 26 Feb 2005) $

Method Summary
`double` | `evaluate(double[] values)` Returns the result of evaluating the statistic over the input array.
`double` | `evaluate(double[] values, int begin, int length)` Returns the result of evaluating the statistic over the specified entries in the input array.

Method Detail

### evaluate

    public double evaluate(double[] values)

  Returns the result of evaluating the statistic over the input array.

  Parameters:
    `values` - input array
  Returns:
    the value of the statistic applied to the input array

### evaluate

    public double evaluate(double[] values,
                           int begin,
                           int length)

  Returns the result of evaluating the statistic over the specified entries in the input array.

  Parameters:
    `values` - the input array
    `begin` - the index of the first element to include
    `length` - the number of elements to include
  Returns:
    the value of the statistic applied to the included array entries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 The Apache Software Foundation. All Rights Reserved.